--- a/data/meson.build
+++ b/data/meson.build
@@ -10,20 +10,10 @@
   subdir('fish-completion')
 endif
 
-if get_option('tests')
-subdir('device-tests')
-endif
-
 if build_daemon
 subdir('motd')
 endif
 
-if get_option('tests')
-  if build_daemon
-    subdir('installed-tests')
-  endif
-endif
-
 if build_standalone
   install_data(['daemon.conf'],
     install_dir: join_paths(sysconfdir, 'fwupd')
--- a/libfwupdplugin/meson.build
+++ b/libfwupdplugin/meson.build
@@ -370,6 +370,7 @@
   )
   test('fwupdplugin-self-test', e, is_parallel: false, timeout: 180, env: env)
 
+  if false
   install_data([
       'tests/chassis_type',
       'tests/sys_vendor',
@@ -388,6 +389,7 @@
     ],
     install_dir: join_paths(installed_test_datadir, 'tests/dmi/tables64'),
   )
+  endif
 endif
 
 fwupdplugin_incdir = include_directories('.')
--- a/libfwupdplugin/tests/meson.build
+++ b/libfwupdplugin/tests/meson.build
@@ -10,6 +10,5 @@
   command: [
     python3, '-m', 'zipfile', '-c', '@OUTPUT@', '@INPUT@',
   ],
-  install: true,
   install_dir: installed_test_datadir,
 )
--- a/plugins/acpi-dmar/meson.build
+++ b/plugins/acpi-dmar/meson.build
@@ -28,7 +28,6 @@
       plugin_libs,
       plugin_builtin_acpi_dmar,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/acpi-facp/meson.build
+++ b/plugins/acpi-facp/meson.build
@@ -28,7 +28,6 @@
       plugin_libs,
       plugin_builtin_acpi_facp,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/acpi-ivrs/meson.build
+++ b/plugins/acpi-ivrs/meson.build
@@ -28,7 +28,6 @@
       plugin_libs,
       plugin_builtin_acpi_ivrs,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/acpi-phat/meson.build
+++ b/plugins/acpi-phat/meson.build
@@ -31,7 +31,6 @@
       plugin_libs,
       plugin_builtin_acpi_phat,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/ata/meson.build
+++ b/plugins/ata/meson.build
@@ -33,7 +33,6 @@
       plugin_libs,
       plugin_builtin_ata,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/bcm57xx/meson.build
+++ b/plugins/bcm57xx/meson.build
@@ -25,8 +25,6 @@
 plugin_builtins += plugin_builtin_bcm57xx
 
 if get_option('tests')
-  install_data(['tests/bcm57xx.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -41,7 +39,6 @@
       plugin_libs,
       plugin_builtin_bcm57xx,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/ccgx/meson.build
+++ b/plugins/ccgx/meson.build
@@ -29,8 +29,6 @@
 plugin_builtins += plugin_builtin_ccgx
 
 if get_option('tests')
-  install_data(['tests/ccgx.builder.xml', 'tests/ccgx-dmc.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -45,7 +43,6 @@
       plugin_libs,
       plugin_builtin_ccgx,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/dfu/meson.build
+++ b/plugins/dfu/meson.build
@@ -70,7 +70,6 @@
       plugin_libs,
       plugin_builtin_dfu,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/elantp/meson.build
+++ b/plugins/elantp/meson.build
@@ -22,8 +22,6 @@
 plugin_builtins += plugin_builtin_elantp
 
 if get_option('tests')
-  install_data(['tests/elantp.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -38,7 +36,6 @@
       plugin_libs,
       plugin_builtin_elantp,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/linux-swap/meson.build
+++ b/plugins/linux-swap/meson.build
@@ -28,7 +28,6 @@
       plugin_libs,
       plugin_builtin_linux_swap,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/mtd/meson.build
+++ b/plugins/mtd/meson.build
@@ -30,7 +30,6 @@
       plugin_libs,
       plugin_builtin_mtd,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/nitrokey/meson.build
+++ b/plugins/nitrokey/meson.build
@@ -33,7 +33,6 @@
       plugin_libs,
       plugin_builtin_nitrokey,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/nvme/meson.build
+++ b/plugins/nvme/meson.build
@@ -38,7 +38,6 @@
       plugin_libs,
       plugin_builtin_nvme,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/pixart-rf/meson.build
+++ b/plugins/pixart-rf/meson.build
@@ -19,8 +19,6 @@
 plugin_builtins += plugin_builtin_pxi
 
 if get_option('tests')
-  install_data(['tests/pixart.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -35,7 +33,6 @@
       plugin_libs,
       plugin_builtin_pxi,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/redfish/meson.build
+++ b/plugins/redfish/meson.build
@@ -40,16 +40,6 @@
 )
 
 if get_option('tests')
-  install_data(['tests/redfish-smbios.bin'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
-  install_data(['tests/redfish.conf'],
-    install_dir: join_paths(installed_test_datadir, 'tests'),
-    install_mode: 'rw-r-----',
-  )
-  install_data(['tests/efi/efivars/RedfishIndications-16faa37e-4b6a-4891-9028-242de65a3b70'],
-    install_dir: join_paths(installed_test_datadir, 'tests', 'efi', 'efivars'))
-  install_data(['tests/efi/efivars/RedfishOSCredentials-16faa37e-4b6a-4891-9028-242de65a3b70'],
-    install_dir: join_paths(installed_test_datadir, 'tests', 'efi', 'efivars'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -70,7 +60,6 @@
       fwupdplugin,
       plugin_builtin_redfish,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/synaptics-mst/meson.build
+++ b/plugins/synaptics-mst/meson.build
@@ -22,8 +22,6 @@
 plugin_builtins += plugin_builtin_synaptics_mst
 
 if get_option('tests')
-  install_data(['tests/synaptics-mst.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -47,7 +45,6 @@
     c_args: [
       cargs,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/synaptics-prometheus/meson.build
+++ b/plugins/synaptics-prometheus/meson.build
@@ -18,8 +18,6 @@
 plugin_builtins += plugin_builtin_synaprom
 
 if get_option('tests')
-  install_data(['tests/synaptics-prometheus.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -35,7 +33,6 @@
       plugin_builtin_synaprom,
     ],
     c_args: cargs,
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/synaptics-rmi/meson.build
+++ b/plugins/synaptics-rmi/meson.build
@@ -25,8 +25,6 @@
 plugin_builtins += plugin_builtin_synaptics_rmi
 
 if get_option('tests')
-  install_data(['tests/synaptics-rmi-0x.builder.xml','tests/synaptics-rmi-10.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -41,7 +39,6 @@
       plugin_libs,
       plugin_builtin_synaptics_rmi,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/uefi-capsule/meson.build
+++ b/plugins/uefi-capsule/meson.build
@@ -146,25 +146,6 @@
     c_args: cargs
   )
   test('uefi-self-test', e, env: env)
-
-# to use these do `sudo systemctl edit fwupd.service` and set
-# Environment="FWUPD_SYSFSFWDIR=/usr/share/installed-tests/fwupd"
-install_data([
-    'tests/efi/esrt/entries/entry0/capsule_flags',
-    'tests/efi/esrt/entries/entry0/fw_class',
-    'tests/efi/esrt/entries/entry0/fw_type',
-    'tests/efi/esrt/entries/entry0/fw_version',
-    'tests/efi/esrt/entries/entry0/last_attempt_status',
-    'tests/efi/esrt/entries/entry0/last_attempt_version',
-    'tests/efi/esrt/entries/entry0/lowest_supported_fw_version',
-  ],
-  install_dir: join_paths(installed_test_datadir, 'efi/esrt/entries/entry0'),
-)
-install_data([
-    'tests/efi/efivars/CapsuleMax-39b68c46-f7fb-441b-b6ec-16b0f69821f3',
-  ],
-  install_dir: join_paths(installed_test_datadir, 'efi/efivars'),
-)
 endif
 
 endif
--- a/plugins/uefi-dbx/meson.build
+++ b/plugins/uefi-dbx/meson.build
@@ -32,7 +32,6 @@
       plugin_builtin_uefi_dbx,
     ],
     c_args: cargs,
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/uf2/meson.build
+++ b/plugins/uf2/meson.build
@@ -18,8 +18,6 @@
 plugin_builtins += plugin_builtin_uf2
 
 if get_option('tests')
-  install_data(['tests/uf2.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -34,7 +32,6 @@
       plugin_libs,
       plugin_builtin_uf2,
     ],
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/vli/meson.build
+++ b/plugins/vli/meson.build
@@ -49,7 +49,6 @@
       plugin_builtin_vli,
     ],
     c_args: cargs,
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/plugins/wacom-usb/meson.build
+++ b/plugins/wacom-usb/meson.build
@@ -23,8 +23,6 @@
 plugin_builtins += plugin_builtin_wac
 
 if get_option('tests')
-  install_data(['tests/wacom-usb.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -40,7 +38,6 @@
       plugin_builtin_wac,
     ],
     c_args: cargs,
-    install: true,
     install_rpath: libdir_pkg,
     install_dir: installed_test_bindir,
   )
--- a/src/tests/host-emulate/meson.build
+++ b/src/tests/host-emulate/meson.build
@@ -8,7 +8,6 @@
       output: '@0@.gz'.format(input_file),
       capture: true,
       command: [gzip, '-k', '--stdout', '@INPUT@'],
-      install: true,
       install_dir: join_paths(datadir, 'fwupd', 'host-emulate.d'),
     )
   endforeach
